'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactThrobber = require('react-throbber');

var _reactThrobber2 = _interopRequireDefault(_reactThrobber);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ButtonWithLoader = function ButtonWithLoader(_ref) {
  var _classNames;

  var disabled = _ref.disabled,
      children = _ref.children,
      className = _ref.className,
      isLoading = _ref.isLoading,
      buttonProps = _objectWithoutProperties(_ref, ['disabled', 'children', 'className', 'isLoading']);

  var buttonClassName = (0, _classnames2.default)('ButtonWithLoader', (_classNames = {
    'btn--is-loading': isLoading
  }, _defineProperty(_classNames, className, className), _defineProperty(_classNames, !className, 'btn btn-primary btn--has-loader'), _classNames));

  return _react2.default.createElement(
    'button',
    _extends({
      className: buttonClassName,
      disabled: isLoading || disabled
    }, buttonProps),
    isLoading && _react2.default.createElement(_reactThrobber2.default, { inline: true }),
    ' ',
    children
  );
};

ButtonWithLoader.propTypes = {
  disabled: _react.PropTypes.bool,
  isLoading: _react.PropTypes.bool
};

exports.default = ButtonWithLoader;